Public Member Functions | Protected Attributes | List of all members
MsWrdParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a MsWrdParser. More...

Inheritance diagram for MsWrdParserInternal::SubDocument:

## Public Member Functions
| SubDocument (MsWrdParser &pars, MWAWInputStreamPtr const &input, int id, libmwaw::SubDocumentType type)
| constructor for footnote, comment More...
| SubDocument (MsWrdParser &pars, MWAWInputStreamPtr const &input, MWAWEntry entry, libmwaw::SubDocumentType type)
| constructor for header/footer More...
| SubDocument (MsWrdParser &pars, MWAWInputStreamPtr const &input, long fPos, int cPos)
| constructor for picture More...
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
int | m_id
| the subdocument id More...
libmwaw::SubDocumentType | m_type
| the subdocument type More...
long | m_pictFPos
| the picture file position More...
int | m_pictCPos
| the picture char position More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Detailed Description

Internal: the subdocument of a MsWrdParser.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

MsWrdParserInternal::SubDocument::SubDocument | ( | MsWrdParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | int | id,
|  | libmwaw::SubDocumentType | type
| ) |  |
| inline

constructor for footnote, comment

## ◆ SubDocument() [2/3]

MsWrdParserInternal::SubDocument::SubDocument | ( | MsWrdParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWEntry | entry,
|  | libmwaw::SubDocumentType | type
| ) |  |
| inline

constructor for header/footer

## ◆ SubDocument() [3/3]

MsWrdParserInternal::SubDocument::SubDocument | ( | MsWrdParser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | long | fPos,
|  | int | cPos
| ) |  |
| inline

constructor for picture

## ◆ ~SubDocument()

MsWrdParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## Member Function Documentation

## ◆ operator!=()

bool MsWrdParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ parse()

void MsWrdParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

int MsWrdParserInternal::SubDocument::m_id
| protected

the subdocument id

## ◆ m_pictCPos

int MsWrdParserInternal::SubDocument::m_pictCPos
| protected

the picture char position

## ◆ m_pictFPos

long MsWrdParserInternal::SubDocument::m_pictFPos
| protected

the picture file position

## ◆ m_type

libmwaw::SubDocumentType MsWrdParserInternal::SubDocument::m_type
| protected

the subdocument type

The documentation for this class was generated from the following file:

- MsWrdParser.cxx